For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • POSTCreate Order (Bank Transfer, Open Banking)
      • POSTConfirm Payment (Bank Transfer)
      • POSTCreate Widget URL (Cards, Apple Pay)
      • GETGet Active Orders
      • GETGet Orders
      • GETGet Order By ID
      • DELCancel Order
      • POSTDeprecated - Request OTT (Cards, Apple Pay)
Dashboard
LogoLogo
TRANSAK WHITELABEL APIOrders

Get Orders

||View as Markdown|
GET
https://api-gateway-stg.transak.com/api/v2/orders
GET
/api/v2/orders
$curl https://api-gateway-stg.transak.com/api/v2/orders
1{
2 "data": [
3 {
4 "orderId": "f34df59c-3ba4-41f1-962c-8c7945bf83ff",
5 "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966",
6 "status": "COMPLETED",
7 "isBuyOrSell": "BUY",
8 "fiatCurrency": "EUR",
9 "cryptoCurrency": "ETH",
10 "paymentMethod": "sepa_bank_transfer",
11 "network": "ethereum",
12 "networkId": "",
13 "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
14 "quoteId": "77f9e792-e806-4868-93df-5d688789d783",
15 "fiatAmount": 18,
16 "fiatAmountInUsd": 20.5,
17 "amountPaid": 18,
18 "cryptoAmount": 0.01134213,
19 "conversionPrice": 0.0006820282621767891,
20 "totalFeeInFiat": 1.37,
21 "paymentDetails": [
22 {
23 "fiatCurrency": "",
24 "paymentMethod": "",
25 "name": "Bank Transfer Details",
26 "fields": [
27 {
28 "name": "Account Type",
29 "value": "Personal"
30 },
31 {
32 "name": "Amount",
33 "value": "18 EUR"
34 },
35 {
36 "name": "First Name (Beneficiary)",
37 "value": "shashi"
38 },
39 {
40 "name": "Last Name (Beneficiary)",
41 "value": "shekhar"
42 },
43 {
44 "name": "IBAN",
45 "value": "GB40SEOU19870010352376"
46 },
47 {
48 "name": "Bank Name",
49 "value": "Simulator Bank"
50 },
51 {
52 "name": "Bank Country",
53 "value": "Malta"
54 },
55 {
56 "name": "Bank Address",
57 "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR"
58 }
59 ]
60 }
61 ],
62 "txHash": "DUMMY_TX_ID",
63 "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
64 "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID"
65 },
66 {
67 "orderId": "faacef31-2a81-4fd4-8e5e-6e2a23b50d7c",
68 "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966",
69 "status": "COMPLETED",
70 "isBuyOrSell": "BUY",
71 "fiatCurrency": "EUR",
72 "cryptoCurrency": "ETH",
73 "paymentMethod": "sepa_bank_transfer",
74 "network": "ethereum",
75 "networkId": "",
76 "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
77 "quoteId": "9ba24724-656d-4932-8a9f-9bcafedcc629",
78 "fiatAmount": 18,
79 "fiatAmountInUsd": 20.5,
80 "amountPaid": 18,
81 "cryptoAmount": 0.01133008,
82 "conversionPrice": 0.0006813036680697535,
83 "totalFeeInFiat": 1.37,
84 "paymentDetails": [
85 {
86 "fiatCurrency": "",
87 "paymentMethod": "",
88 "name": "Bank Transfer Details",
89 "fields": [
90 {
91 "name": "Account Type",
92 "value": "Personal"
93 },
94 {
95 "name": "Amount",
96 "value": "18 EUR"
97 },
98 {
99 "name": "First Name (Beneficiary)",
100 "value": "shashi"
101 },
102 {
103 "name": "Last Name (Beneficiary)",
104 "value": "shekhar"
105 },
106 {
107 "name": "IBAN",
108 "value": "GB40SEOU19870010352376"
109 },
110 {
111 "name": "Bank Name",
112 "value": "Simulator Bank"
113 },
114 {
115 "name": "Bank Country",
116 "value": "Malta"
117 },
118 {
119 "name": "Bank Address",
120 "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR"
121 }
122 ]
123 }
124 ],
125 "txHash": "DUMMY_TX_ID",
126 "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
127 "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID"
128 },
129 {
130 "orderId": "3a3f8a5f-03d5-4911-9dd6-c24d77f5b9e4",
131 "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966",
132 "status": "CANCELLED",
133 "isBuyOrSell": "BUY",
134 "fiatCurrency": "EUR",
135 "cryptoCurrency": "ETH",
136 "paymentMethod": "sepa_bank_transfer",
137 "network": "ethereum",
138 "networkId": "",
139 "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
140 "quoteId": "95d4eba1-a77d-48a7-83c5-9ca3b36db7e6",
141 "fiatAmount": 18,
142 "fiatAmountInUsd": 20.5,
143 "amountPaid": 0,
144 "cryptoAmount": 0.01131937,
145 "conversionPrice": 0.0006806597203631292,
146 "totalFeeInFiat": 1.37,
147 "paymentDetails": [
148 {
149 "fiatCurrency": "",
150 "paymentMethod": "",
151 "name": "Bank Transfer Details",
152 "fields": [
153 {
154 "name": "Account Type",
155 "value": "Personal"
156 },
157 {
158 "name": "Amount",
159 "value": "18 EUR"
160 },
161 {
162 "name": "First Name (Beneficiary)",
163 "value": "shashi"
164 },
165 {
166 "name": "Last Name (Beneficiary)",
167 "value": "shekhar"
168 },
169 {
170 "name": "IBAN",
171 "value": "GB40SEOU19870010352376"
172 },
173 {
174 "name": "Bank Name",
175 "value": "Simulator Bank"
176 },
177 {
178 "name": "Bank Country",
179 "value": "Malta"
180 },
181 {
182 "name": "Bank Address",
183 "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR"
184 }
185 ]
186 }
187 ],
188 "txHash": "",
189 "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
190 "transactionLink": ""
191 },
192 {
193 "orderId": "13dcc40a-1cf5-4233-b1d4-1058c0c5d7ca",
194 "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966",
195 "status": "COMPLETED",
196 "isBuyOrSell": "BUY",
197 "fiatCurrency": "EUR",
198 "cryptoCurrency": "ETH",
199 "paymentMethod": "sepa_bank_transfer",
200 "network": "ethereum",
201 "networkId": "",
202 "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
203 "quoteId": "95d4eba1-a77d-48a7-83c5-9ca3b36db7e6",
204 "fiatAmount": 18,
205 "fiatAmountInUsd": 20.5,
206 "amountPaid": 18,
207 "cryptoAmount": 0.01131095,
208 "conversionPrice": 0.0006801533373421528,
209 "totalFeeInFiat": 1.37,
210 "paymentDetails": [
211 {
212 "fiatCurrency": "",
213 "paymentMethod": "",
214 "name": "Bank Transfer Details",
215 "fields": [
216 {
217 "name": "Account Type",
218 "value": "Personal"
219 },
220 {
221 "name": "Amount",
222 "value": "18 EUR"
223 },
224 {
225 "name": "First Name (Beneficiary)",
226 "value": "shashi"
227 },
228 {
229 "name": "Last Name (Beneficiary)",
230 "value": "shekhar"
231 },
232 {
233 "name": "IBAN",
234 "value": "GB40SEOU19870010352376"
235 },
236 {
237 "name": "Bank Name",
238 "value": "Simulator Bank"
239 },
240 {
241 "name": "Bank Country",
242 "value": "Malta"
243 },
244 {
245 "name": "Bank Address",
246 "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR"
247 }
248 ]
249 }
250 ],
251 "txHash": "DUMMY_TX_ID",
252 "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
253 "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID"
254 },
255 {
256 "orderId": "e053ef3e-2b89-4fa6-9679-89f31fe39625",
257 "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966",
258 "status": "COMPLETED",
259 "isBuyOrSell": "BUY",
260 "fiatCurrency": "EUR",
261 "cryptoCurrency": "ETH",
262 "paymentMethod": "sepa_bank_transfer",
263 "network": "ethereum",
264 "networkId": "",
265 "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
266 "quoteId": "3417136e-2a64-4c3d-ba20-ac1dc2890285",
267 "fiatAmount": 18,
268 "fiatAmountInUsd": 20.5,
269 "amountPaid": 18,
270 "cryptoAmount": 0.01134179,
271 "conversionPrice": 0.0006820078171978352,
272 "totalFeeInFiat": 1.37,
273 "paymentDetails": [
274 {
275 "fiatCurrency": "",
276 "paymentMethod": "",
277 "name": "Bank Transfer Details",
278 "fields": [
279 {
280 "name": "Account Type",
281 "value": "Personal"
282 },
283 {
284 "name": "Amount",
285 "value": "18 EUR"
286 },
287 {
288 "name": "First Name (Beneficiary)",
289 "value": "shashi"
290 },
291 {
292 "name": "Last Name (Beneficiary)",
293 "value": "shekhar"
294 },
295 {
296 "name": "IBAN",
297 "value": "GB40SEOU19870010352376"
298 },
299 {
300 "name": "Bank Name",
301 "value": "Simulator Bank"
302 },
303 {
304 "name": "Bank Country",
305 "value": "Malta"
306 },
307 {
308 "name": "Bank Address",
309 "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR"
310 }
311 ]
312 }
313 ],
314 "txHash": "DUMMY_TX_ID",
315 "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
316 "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID"
317 },
318 {
319 "orderId": "fb41f15b-3940-4903-8ef6-c020b157195c",
320 "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966",
321 "status": "CANCELLED",
322 "isBuyOrSell": "BUY",
323 "fiatCurrency": "EUR",
324 "cryptoCurrency": "ETH",
325 "paymentMethod": "sepa_bank_transfer",
326 "network": "ethereum",
327 "networkId": "",
328 "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
329 "quoteId": "baa479af-45df-46b4-94bc-614979019fdf",
330 "fiatAmount": 18,
331 "fiatAmountInUsd": 20.5,
332 "amountPaid": 0,
333 "cryptoAmount": 0.01139933,
334 "conversionPrice": 0.0006854680566352902,
335 "totalFeeInFiat": 1.37,
336 "paymentDetails": [
337 {
338 "fiatCurrency": "",
339 "paymentMethod": "",
340 "name": "Bank Transfer Details",
341 "fields": [
342 {
343 "name": "Account Type",
344 "value": "Personal"
345 },
346 {
347 "name": "Amount",
348 "value": "18 EUR"
349 },
350 {
351 "name": "First Name (Beneficiary)",
352 "value": "shashi"
353 },
354 {
355 "name": "Last Name (Beneficiary)",
356 "value": "shekhar"
357 },
358 {
359 "name": "IBAN",
360 "value": "GB40SEOU19870010352376"
361 },
362 {
363 "name": "Bank Name",
364 "value": "Simulator Bank"
365 },
366 {
367 "name": "Bank Country",
368 "value": "Malta"
369 },
370 {
371 "name": "Bank Address",
372 "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR"
373 }
374 ]
375 }
376 ],
377 "txHash": "",
378 "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
379 "transactionLink": ""
380 },
381 {
382 "orderId": "fe85f604-cf3a-49ac-9159-992d0144c275",
383 "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966",
384 "status": "COMPLETED",
385 "isBuyOrSell": "BUY",
386 "fiatCurrency": "EUR",
387 "cryptoCurrency": "ETH",
388 "paymentMethod": "sepa_bank_transfer",
389 "network": "ethereum",
390 "networkId": "",
391 "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
392 "quoteId": "cc103da1-923d-4d00-92a6-b6612a640aae",
393 "fiatAmount": 18,
394 "fiatAmountInUsd": 20.5,
395 "amountPaid": 18,
396 "cryptoAmount": 0.01139933,
397 "conversionPrice": 0.0006854678292242934,
398 "totalFeeInFiat": 1.37,
399 "paymentDetails": [
400 {
401 "fiatCurrency": "",
402 "paymentMethod": "",
403 "name": "Bank Transfer Details",
404 "fields": [
405 {
406 "name": "Account Type",
407 "value": "Personal"
408 },
409 {
410 "name": "Amount",
411 "value": "18 EUR"
412 },
413 {
414 "name": "First Name (Beneficiary)",
415 "value": "shashi"
416 },
417 {
418 "name": "Last Name (Beneficiary)",
419 "value": "shekhar"
420 },
421 {
422 "name": "IBAN",
423 "value": "GB40SEOU19870010352376"
424 },
425 {
426 "name": "Bank Name",
427 "value": "Simulator Bank"
428 },
429 {
430 "name": "Bank Country",
431 "value": "Malta"
432 },
433 {
434 "name": "Bank Address",
435 "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR"
436 }
437 ]
438 }
439 ],
440 "txHash": "DUMMY_TX_ID",
441 "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
442 "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID"
443 },
444 {
445 "orderId": "ce53eda9-c931-4dca-b352-7e3d4a3dba59",
446 "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966",
447 "status": "COMPLETED",
448 "isBuyOrSell": "BUY",
449 "fiatCurrency": "EUR",
450 "cryptoCurrency": "ETH",
451 "paymentMethod": "sepa_bank_transfer",
452 "network": "ethereum",
453 "networkId": "",
454 "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
455 "quoteId": "b0acd653-b509-4b98-9bf6-49994ba516c8",
456 "fiatAmount": 18,
457 "fiatAmountInUsd": 20.5,
458 "amountPaid": 18,
459 "cryptoAmount": 0.01144016,
460 "conversionPrice": 0.0006879230306674685,
461 "totalFeeInFiat": 1.37,
462 "paymentDetails": [
463 {
464 "fiatCurrency": "",
465 "paymentMethod": "",
466 "name": "Bank Transfer Details",
467 "fields": [
468 {
469 "name": "Account Type",
470 "value": "Personal"
471 },
472 {
473 "name": "Amount",
474 "value": "18 EUR"
475 },
476 {
477 "name": "First Name (Beneficiary)",
478 "value": "shashi"
479 },
480 {
481 "name": "Last Name (Beneficiary)",
482 "value": "shekhar"
483 },
484 {
485 "name": "IBAN",
486 "value": "GB40SEOU19870010352376"
487 },
488 {
489 "name": "Bank Name",
490 "value": "Simulator Bank"
491 },
492 {
493 "name": "Bank Country",
494 "value": "Malta"
495 },
496 {
497 "name": "Bank Address",
498 "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR"
499 }
500 ]
501 }
502 ],
503 "txHash": "DUMMY_TX_ID",
504 "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
505 "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID"
506 },
507 {
508 "orderId": "9de4904c-7814-480c-9019-bd899f1193e1",
509 "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966",
510 "status": "EXPIRED",
511 "isBuyOrSell": "BUY",
512 "fiatCurrency": "EUR",
513 "cryptoCurrency": "ETH",
514 "paymentMethod": "sepa_bank_transfer",
515 "network": "ethereum",
516 "networkId": "",
517 "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
518 "quoteId": "b0acd653-b509-4b98-9bf6-49994ba516c8",
519 "fiatAmount": 18,
520 "fiatAmountInUsd": 19.98,
521 "amountPaid": 0,
522 "cryptoAmount": 0.01127478,
523 "conversionPrice": 0.0006779781050920668,
524 "totalFeeInFiat": 1.37,
525 "paymentDetails": [
526 {
527 "fiatCurrency": "",
528 "paymentMethod": "",
529 "name": "Bank Transfer Details",
530 "fields": [
531 {
532 "name": "Account Type",
533 "value": "Personal"
534 },
535 {
536 "name": "Amount",
537 "value": "18 EUR"
538 },
539 {
540 "name": "First Name (Beneficiary)",
541 "value": "shashi"
542 },
543 {
544 "name": "Last Name (Beneficiary)",
545 "value": "shekhar"
546 },
547 {
548 "name": "IBAN",
549 "value": "GB40SEOU19870010352376"
550 },
551 {
552 "name": "Bank Name",
553 "value": "Simulator Bank"
554 },
555 {
556 "name": "Bank Country",
557 "value": "Malta"
558 },
559 {
560 "name": "Bank Address",
561 "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR"
562 }
563 ]
564 }
565 ],
566 "txHash": "",
567 "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
568 "transactionLink": ""
569 }
570 ]
571}
The **Get Orders** is an **authenticated API** that allows partners to **fetch a list of all orders** placed by a user. This API provides **detailed transaction history**, including the **order status, fiat and crypto details, payment method, and wallet address**. This API helps **track multiple transactions** and ensures partners can monitor the order statuses in real-time.
Was this page helpful?
Previous

Get Active Orders

Next

Get Order By ID

Built with

The Get Orders is an authenticated API that allows partners to fetch a list of all orders placed by a user. This API provides detailed transaction history, including the order status, fiat and crypto details, payment method, and wallet address.

This API helps track multiple transactions and ensures partners can monitor the order statuses in real-time.

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Response

200 - Success

datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error